Skip navigation.
Home
The QNX Community Portal

View topic - Libtool error messages: "od: illegal option -- x"

Libtool error messages: "od: illegal option -- x"

Read-only archive of qnx.porting (Discuss migrating applications from QNX4, VxWorks, PSOS, or Linux to QNX Neutrino) at inn.qnx.com

Libtool error messages: "od: illegal option -- x"

Postby Brent Tweddle » Tue May 30, 2006 7:19 pm

Hi,

I am trying to port a driver from linux to qnx, but there seems to be a
problem with libtool. Here is the command:

libtool
cc -V3.3.5,gcc_ntox86 -O -Wall -Wno-unknown-pragmas -DGCC -DPCI_CODE -DPLX_LITTLE_ENDIAN
-I/home/betweddl/cvs/wave/wave
/PlxLinux/include -DHAVE_GETOPT -shared -DPLX_LINUX -I/home/betweddl/cvs/wave/wave/PlxLinux/include
-c PciApi.c

In linux it has no output, in qnx it has the following output


od: illegal option -- x
rm -f .libs/PciApi.lo

The version of libtool on linux is:
ltmain.sh (GNU libtool) 1.4.3 (1.922.2.111 2002/10/23 02:54:36)

qnx is:
ltmain.sh (GNU libtool) 1.4.3 (1.1 2002/12/31 22:55:55)


The only other place I have heard of this problem is from searching on
google finding someone else with the same od: illegal option --x trying to
port something to qnx. Maybe I'm just not using libtool correctly (I've
never really used it before) or I have it misconfigured.

Thanks,
Brent Tweddle
WARG
betweddl@uwaterloo.ca
Brent Tweddle
 

Return to qnx.porting

Who is online

Users browsing this forum: No registered users and 1 guest